Subject: Re: [bug#29781] [PATCH 2/2] gnu: python-pygpgme: Use GnuPG 1 for the test suite.

From: Leo Famulari <[email-masked]>
Date: Wed, 20 Dec 2017 15:15:39 -0500

On Wed, Dec 20, 2017 at 02:29:02PM +0100, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > * gnu/packages/gnupg.scm (python-pygpgme, python2-pygpgme)[inputs]: Use gnupg-1
> > and make it a native-input.
> 
> LGTM!
> 
> BTW, gpgme itself provides Python bindings, which are recommended, I
> think.  Should we build them?

We package them as python-gpg.

However, this PyPi-based package seems to be abandoned by the GPGME
maintainers. At least, it doesn't get updated regularly.

I've been trying to build the bindings as part of the GPGME build, so
that we can get the latest version, but I haven't had time to finish the
work yet.

Once we are able to build the bindings from the latest GPGME, we will be
able to drop the pygpgme package and just use the GPGME bindings for
the package 'alot', which is the only user of pygpgme.